﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Windows.Editors;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.DataPresenter.Events;

namespace XDGComboTemplate
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private DataTable dt;

        public DataView Data
        {
            get
            {
                if (this.dt == null)
                {
                    this.dt = new DataTable();
                    dt.Columns.Add("ID", typeof(int));
                    dt.Columns.Add("UseTextbox", typeof(bool));

                    dt.Rows.Add(new object[] { 0, false });
                    dt.Rows.Add(new object[] { 1, false });
                    dt.Rows.Add(new object[] { 2, true });

                    dt.PrimaryKey = new DataColumn[] { dt.Columns["ID"] };
                }

                return this.dt.DefaultView;
            }
        }

        public MainWindow()
        {
            InitializeComponent();
        }

        private void xdg_InitializeRecord(object sender, InitializeRecordEventArgs e)
        {
            DataRecord dr = e.Record as DataRecord;

            if (dr != null)
            {
                if ((bool)dr.Cells["UseTextbox"].Value)
                {
                    dr.Cells["ComboCol"].EditorType = typeof(XamTextEditor);
                    dr.Cells["ComboCol"].EditorStyle = null;
                }
                else
                {
                    dr.Cells["ComboCol"].EditorType = typeof(XamComboEditor);
                    dr.Cells["ComboCol"].EditorStyle = this.Resources["cbStyle"] as Style;
                }
            }
        }
    }
}
